On Tuesday 15 November 2005 03:42 pm, James Edward Gray II wrote:
> I'm trying to package up a new gem to release, but Rake and I just
> can't seem to get along today.   In my Rakefile I have:
>
> Rake::GemPackageTask.new(spec) do |pkg|
>      pkg.need_zip = true
>      pkg.need_tar = true
> end
>
> When I try to run that it does build the gem, but then complains with:
>
> ...
> rake aborted!
> no such option: noop

This is caused by a changed in the FileUtils package the Rake uses.  There is 
a beta version of Rake available that doesn't have that problem.  You can get 
the beta with:

  gem install rake --source http://onestepback.org/betagems

-- 
-- Jim Weirich    jim / weirichhouse.org     http://onestepback.org
-----------------------------------------------------------------
"Beware of bugs in the above code; I have only proved it correct, 
not tried it." -- Donald Knuth (in a memo to Peter van Emde Boas)